Skip to content

← old-coins

GET/api/v1/old-coins/events

Old Coin Events

Get full old coin awakening event details. Gating: - FREE: 403 Forbidden - PRO: full events, last 30 days max, no significance_score - PERF/TEAM: full events, all history, with significance_score

Authentication

This endpoint requires the X-API-Key header or a valid Clerk JWT. Accepted schemes: APIKeyHeader, HTTPBearer.

See Authentication for details.

Query parameters

NameTypeRequiredDescription
daysinteger-
Default: 30
min_significancenumber-
Default: 50

Responses

StatusDescriptionSchema
200Successful ResponseOldCoinEventsResponse
422Validation ErrorHTTPValidationError

See the standard error codes documented in the Error codes.

Code samples

Three ready-to-paste implementations. Replace $TRINITY_API_KEY with your API key (generated from the dashboard under Profile → API keys).

cURL

curl -X GET \
  'https://api.trinityinsights.io/api/v1/old-coins/events' \
  -H 'X-API-Key: $TRINITY_API_KEY'

Python

import os
import requests

BASE = "https://api.trinityinsights.io"
headers = {
    "X-API-Key": os.environ["TRINITY_API_KEY"],
}
params = {
    "days": "30",  # optional
    "min_significance": "50",  # optional
}

response = requests.get(f"{BASE}/api/v1/old-coins/events", headers=headers, params=params, timeout=10)
response.raise_for_status()
data = response.json()

JavaScript

const apiKey = process.env.TRINITY_API_KEY;

const response = await fetch(
  "https://api.trinityinsights.io/api/v1/old-coins/events",
  {
    method: "GET",
    headers: {
      "X-API-Key": apiKey,
    },
  },
);

if (!response.ok) {
  throw new Error(`HTTP ${response.status}`);
}
const data = await response.json();

Institutional disclaimer

Trinity Insights is an educational and analytical tool. Values returned by this endpoint do not constitute investment advice. Trinity Insights is not a Crypto-Asset Service Provider (CASP) registered under MiCA Regulation (EU) 2023/1114. See the full disclaimer.